Bug 1181189 - dnf downgrade ./<TAB> doesn't autocomplete
Summary: dnf downgrade ./<TAB> doesn't autocomplete
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-12 14:30 UTC by Jaroslav Škarvada
Modified: 2015-06-26 12:27 UTC (History)
9 users (show)

Fixed In Version: hawkey-0.5.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-20 08:32:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Škarvada 2015-01-12 14:30:57 UTC
Description of problem:
Auto-completion seems not to work for downgrade and local packages. If the command is typed by hand the command correctly finishes, so the auto-complete should also work for dnf. It works correctly for yum.

Version-Release number of selected component (if applicable):
dnf-0.6.3-2.fc21

How reproducible:
Always

Steps to Reproduce:
1. prepare locally some RPMs
2. dnf downgrade ./<TAB>

Actual results:
Nothing.

Expected results:
Auto-complete feature working.

Comment 1 Honza Silhan 2015-01-15 20:44:39 UTC
Thanks for the report. Fixed in the upstream by Igor (thanks).

Comment 2 Fedora Update System 2015-02-16 00:03:29 UTC
dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21

Comment 3 Fedora Update System 2015-02-17 08:04:24 UTC
Package hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.3-2.fc21 dnf-plugins-core-0.1.5-1.fc21 dnf-0.6.4-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2139/dnf-plugins-core-0.1.5-1.fc21,hawkey-0.5.3-2.fc21,dnf-0.6.4-1.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-02-20 08:32:45 UTC
hawkey-0.5.3-2.fc21, dnf-plugins-core-0.1.5-1.fc21, dnf-0.6.4-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Titas Chanda 2015-06-26 12:18:26 UTC
The problem persist as of today. Today I have done fresh installs on both my laptop and desktop, and auto-complete feature is not working/working wrongly.


How reproducible:
Always

Steps to Reproduce:
1. sudo dnf, [TAB] [TAB] => showing items in HOME, not the possible arguments of dnf. 
2. sudo dnf ins [TAB] [TAB] => nothing, should complete "install".
3. sudo dnf install lib [TAB] [TAB] => nothing.

Comment 6 Jaroslav Škarvada 2015-06-26 12:27:29 UTC
(In reply to Titas Chanda from comment #5)
> The problem persist as of today. Today I have done fresh installs on both my
> laptop and desktop, and auto-complete feature is not working/working wrongly.
> 
> 
> How reproducible:
> Always
> 
> Steps to Reproduce:
> 1. sudo dnf, [TAB] [TAB] => showing items in HOME, not the possible
> arguments of dnf. 
> 2. sudo dnf ins [TAB] [TAB] => nothing, should complete "install".
> 3. sudo dnf install lib [TAB] [TAB] => nothing.

I am afraid I cannot help you, I am reporter, not maintainer of dnf, but it works correctly for me.

dnf-0.6.4-5.fc21.noarch

$ sudo dnf [TAB} =>
autoremove           history              remove
builddep             check-update         repolist
clean                info                 repoquery
config-manager       install              repository-packages
copr                 kickstart            reposync
debuginfo-install    list                 search
distro-sync          makecache            updateinfo
downgrade            needs-restarting     upgrade
download             playground           upgrade-to
group                provides             
help                 reinstall            

$ sudo dnf ins [TAB] => install

$ sudo dnf install lib [TAB] =>
Display all 4152 possibilities? (y or n)


Note You need to log in before you can comment on or make changes to this bug.